WHICH(1)

NOM
which – Afficher le chemin complet de commandes (d’interpréteur)

SYNOPSIS
which [options] [--] programme [...]

DESCRIPTION
Which prend un ou plusieurs arguments. Pour chacun d’entre eux, il affiche sur la sortie standard le chemin complet de l’exécutable qui sera utilisé quand il sera saisi à l’invite de l’interpréteur de commandes. Cela est réalisé en recherchant un exécutable ou un script dans les répertoires listés dans la variable d’environnement PATH, en utilisant le même algorithme que bash(1).

Cette page de manuel a été créée à partir du fichier which.texinfo.

OPTIONS

--all, -a
    Afficher tous les exécutables dans PATH correspondants, pas seulement le premier.

--read-alias, -i
    Lire des alias à partir de l’entrée standard et afficher ceux correspondants sur la sortie standard. Cela est utile lors de l’utilisation d’un alias pour which lui-même.
    alias which='alias | which -i'.

--skip-alias
    Ignore option `--read-alias', if any. This is useful to explicity search for normal binaries, while using the `--read-alias' option in an alias or function for which.

--read-functions
    Lire les définitions de fonction d’interpréteur à partir de l’entrée standard et afficher celles correspondantes sur la sortie standard. Cela est utile en combinaison de l’utilisation de fonction d’interpréteur pour which lui-même. Par exemple :
    which() { declare -f | which --read-functions $@ }
    export -f which

--skip-functions
    Ignore option `--read-functions', if any. This is useful to explicity search for normal binaries, while using the `--read-functions' option in an alias or function for which.

--skip-dot
    Omettre les répertoires dans PATH débutant par un point.

--skip-tilde
    Omettre les répertoires dans PATH qui débutent par un tilde et les exécutables qui résident dans le répertoire HOME.

--show-dot
    Si un répertoire dans PATH débute par un point et qu’un exécutable correspondant a été trouvé pour ce chemin, alors afficher « ./nom_programme » plutôt que le chemin en entier.

--show-tilde
    Afficher un tilde quand un répertoire correspond au répertoire HOME. Cette option est ignorée quand elle est invoquée par le superutilisateur.

--tty-only
    Arrêter le traitement des options à droite si ce n’est pas sur un tty.

--version,-v,-V
    Afficher les informations de version sur la sortie standard et quitter avec succès.

--help
    Afficher l’aide sur la sortie standard et quitter avec succès.

VALEUR RENVOYÉE
Which returns the number of failed arguments, or -1 when no `programname' was given.

EXEMPLE
La manière préconisée d’employer cet utilitaire est d’ajouter un alias (C shell) ou une fonction d’interpréteur (Bourne shell) pour which de la façon suivante :

[ba]sh :

which ()
{
  (alias; declare -f) | /usr/bin/which --tty-only --read-alias --read-functions --show-tilde --show-dot $@
}
export -f which

[t]csh :

alias which 'alias | /usr/bin/which --tty-only --read-alias --show-dot --show-tilde'

Cela affichera les « ~/ » et « ./ » interprétables lors de l’exécution de which à partir de l’invite tout en affichant le chemin entier lors de l’utilisation de which à partir d’un script :

> which q2
~/bin/q2
> echo `which q2`
/home/carlo/bin/q2

BOGUES
The HOME directory is determined by looking for the HOME environment variable, which aborts when this variable doesn't exist. Which will consider two equivalent directories to be different when one of them contains a path with a symbolic link.

AUTEUR
Carlo Wood <carlo@gnu.org>

VOIR AUSSI
bash(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.